import 'dart:async';

import 'package:baseproject/core/common/index.dart';
import 'package:baseproject/features/presentation/app/view/app.dart';
import 'package:flutter/material.dart';

void main() {
  runZonedGuarded(() async {
    WidgetsFlutterBinding.ensureInitialized();
    configureInjection();
    await LocalStoreManager.init();
    Loading.configLoading();
    runApp(const App());
  }, (error, stackTrace) {
    print(error);
    print(stackTrace);
  });
}
